<template>
    <div>
        <div v-if="this.$route.name != 'login' && this.$route.name != 'register'">
        <b-navbar toggleable="sm" type="dark" variant="info">
            <b-navbar-brand to="/" v-text="appname">
            </b-navbar-brand>

            <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

            <b-collapse id="nav-collapse" is-nav>
                <b-container class="bv-example-row bv-example-row-flex-cols">
                    <b-row>
                        <b-col align-self="start">
                            <b-navbar-nav>
                                <b-nav-item to="/home">Home</b-nav-item>
                                <template v-if="$store.state.auth">
                                    <b-nav-item to="/school">Escuelas</b-nav-item>
                                    <b-nav-item to="/student">Estudiantes</b-nav-item>
                                </template>
                            </b-navbar-nav>
                        </b-col>
                        <!-- Right aligned nav items -->
                        <template v-if="$store.state.auth">
                            <b-col cols="2" align-self="end">
                                <b-navbar-nav class="ml-auto">
                                    <b-button right variant="info" @click="logout()">Logout</b-button>
                                </b-navbar-nav>
                            </b-col>
                        </template>
                        <template v-if="$store.state.auth == false">
                            <b-col cols="2" align-self="end">
                                <b-navbar-nav class="ml-auto">
                                    <b-nav-item to="/login">Login</b-nav-item>
                                    <!--b-nav-item to="/register">Register</b-nav-item-->
                                </b-navbar-nav>
                            </b-col>
                        </template>
                    </b-row>
                </b-container>
            </b-collapse>
        </b-navbar>
        </div>
        <router-view></router-view>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                user: {},
                appname: "Estudiantes"
            }
        },
        methods: {
            async logout() {
                this.$store.dispatch('logout').then(() => {
                    this.$router.push({ name: "login" });
                });
            }
        }
    }
</script>

<style>
    .navbar {
        position: relative;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        padding: 0.5rem;
    }
</style>
